* This file has code to add variable labels in STATA for U.S. House data.
* Before using it, import the Replication US House.csv file into STATA using the import function.
* Run this .do file to add all of the variable labels.
* Created using STATA 16.1.


label var body "Body Name (U.S. House)"
label var panel "Panel Code"
label var eyear "Election Year"
label var stfips "State FIPS"
label var stname "State Name"
label var state "State Abbreviation"
label var district "District Number"
label var win_name "Winner's Name"
label var party "Party Abbreviation"
label var pty "DEM=1, GOP=0"
label var race "Winner's Race"
label var multimin "Winner Member of Multiple Minority Groups = 1"
label var white "White Winner = 1"
label var black "Black Winner = 1"
label var latino "Latino Winner = 1"
label var asian "Asian Winner = 1"
label var ethnicity "Ethnicity (for Asians and PI) in Text"
label var multiasian "Winner Member of Multiple Asian Ancestry Groups = 1"
label var japanese "Japanese Winner = 1"
label var indian "Asian Indian = 1"
label var chinese "Chinese Winner = 1"
label var thai "Thai Winner = 1"
label var filipino "Filipino Winner = 1"
label var korean "Korean Winner = 1"
label var vietnamese "Vietnamese Winner = 1"
label var id "Geography ID"
label var id2 "Geography ID2"
label var geog "Geography and Congress"
label var id_ba "Geography ID (Black Alone)"
label var geog_ba "Geography and Congress 114th for some 113th (Black Alone)"
label var pop "Total Pop"
label var vap "Total VAP"
label var cvap "Total CVAP"
label var nativevap "Total Native Born VAP"
label var fbvap "Total Foreign Born VAP"
label var natvap "Total Naturalized VAP"
label var ncvap "Total Non-Citizen VAP"
label var bpop "Black Alone Pop"
label var bvap "Black Alone VAP"
label var bcvap "Black Alone CVAP"
label var bnatvap "Black Alone Naturalized VAP"
label var hpop "Hispanic Pop"
label var hvap "Hispanic VAP"
label var hcvap "Hispanic CVAP"
label var hnatvap "Hispanic Naturalized VAP"
label var apop "Asian Alone Pop"
label var avap "Asian Alone VAP"
label var acvap "Asian Alone CVAP"
label var anatvap "Asian Alone Naturalized VAP"
label var ac_pop "Asian Alone or in Combination Pop"
label var nhwpop "NH White Alone Pop"
label var nhwvap "NH White Alone VAP"
label var nhwcvap "NH White Alone CVAP"
label var nhwnatvap "NH White Naturalized VAP"
label var a_na_tot "Asian Alone Total for Natl Origin"
label var india_aa "Indian (Asian Alone)"
label var bangla_aa "Bangladeshi (Asian Alone)"
label var cambod_aa "Cambodian (Asian Alone)"
label var chinese_aa "Chinese incl Taiwanese (Asian Alone)"
label var filip_aa "Filipino (Asian Alone)"
label var hmong_aa "Hmong (Asian Alone)"
label var indones_aa "Indonesian (Asian Alone)"
label var japan_aa "Japanese (Asian Alone)"
label var korean_aa "Korean (Asian Alone)"
label var lao_aa "Laotian (Asian Alone)"
label var malay_aa "Malaysian (Asian Alone)"
label var pakis_aa "Pakistani (Asian Alone)"
label var lanka_aa "Sri Lankan (Asian Alone)"
label var thai_aa "Thai (Asian Alone)"
label var viet_aa "Vietnamese (Asian Alone)"
label var other_aa "Other Asian (Asian Alone)"
label var paspop_ac "Pr Asian Alone or in Combination Pop"
label var paspop "Pr Asian Alone Pop"
label var pasvap "Pr Asian Alone VAP"
label var pascvap "Pr Asian Alone CVAP"
label var pasnatvap "Pr Asian Alone Naturalized of VAP"
label var pbpop "Pr Black Alone Pop"
label var pbvap "Pr Black Alone VAP"
label var pbcvap "Pr Black Alone CVAP"
label var pbnatvap "Pr Black Alone Naturalized of VAP"
label var phpop "Pr Hispanic Pop"
label var phvap "Pr Hispanic VAP"
label var phcvap "Pr Hispanic CVAP"
label var phnatvap "Pr Hispanic Naturalized of VAP"
label var pnhwpop "Pr Non-Hispanic White Alone Pop"
label var pnhwvap "Pr Non-Hispanic White Alone VAP"
label var pnhwcvap "Pr Non-Hispanic White Alone CVAP"
label var pnhwnatvap "Pr Non-Hispanic White Alone Naturalized of VAP"
label var pothpop "Pr Other Pop (not NHWhite, Black, Asian, Hisp)"
label var pothvap "Pr Other VAP (not NHWhite, Black, Asian, Hisp)"
label var pothcvap "Pr Other CVAP (not NHWhite, Black, Asian, Hisp)"
label var divers_pop "Racial/Hispanic Pop Herfindahl index"
label var divers_vap "Racial/Hispanic VAP Herfindahl index"
label var divers_cvap "Racial/Hispanic CVAP Herfindahl index"
label var pindian "Pr Indian of Asian Alone"
label var pbangla "Pr Bangladeshi of Asian Alone"
label var pcambod "Pr Cambodian of Asian Alone"
label var pchinese "Pr Chinese of Asian Alone"
label var pfilip "Pr Filipino of Asian Alone"
label var phmong "Pr Hmong of Asian Alone"
label var pindones "Pr Indonesian of Asian Alone"
label var pjapan "Pr Japanese of Asian Alone"
label var pkorean "Pr Korean of Asian Alone"
label var plao "Pr Laotian of Asian Alone"
label var pmalay "Pr Malaysian of Asian Alone"
label var ppakis "Pr Pakistani of Asian Alone"
label var planka "Pr Sri Lankan of Asian Alone"
label var pthai "Pr Thai of Asian Alone"
label var pviet "Pr Vietnamese of Asian Alone"
label var pother_a "Pr Other Ethicities of Asian Alone"
label var div_aa "Asian alone Herfindahl/Fractionalization index"
label var hi "Hawaii = 1"
