* Replication of Tables and Figures for U.S. House Elections

* No information on U.S. Senate in this dataset.
* Created using STATA 16.1.



*** Figure 1: Asian American Legislators by Election Year and Party
* For Figure 1B: Congress, see totals from Supplementary Table 2C (below).



*** Figure 9: Percent Asian American Legislators in 2020 by District Diversity (excl. HI)
* For U.S. House, see Supplementary Table 6E (below).



*** Supplementary Table 2C: Asian Federal Legislators by Election Year and Party
tab asian pty if eyear==2012
tab asian pty if eyear==2014
tab asian pty if eyear==2016
tab asian pty if eyear==2018
tab asian pty if eyear==2020



*** Supplementary Table 4C: Asian Legislators by Ethnic Origin, Federal Legislators
* Note that the two representatives with multiple Asian ethnicities (Thai/Chinese and Filipino/Chinese) are recorded more than once.
tab japanese eyear
tab chinese eyear
tab filipino eyear
tab korean eyear
tab vietnamese eyear
tab indian eyear
tab thai eyear



*** Supplementary Table 5: Asian Legislators by Ethnic Origin and Election Year, U.S. Representatives
tab pty eyear if japanese==1
tab pty eyear if chinese==1
tab pty eyear if filipino==1
tab pty eyear if korean==1
tab pty eyear if vietnamese==1
tab pty eyear if indian==1
tab pty eyear if thai==1



*** Supplementary Table 6: Percent Asian Elected by District Racial Composition after the 2020 Elections, Excluding Hawaii

* A. Percent Asian Alone or in Combination of Population
* Add 13 NC districts (none with Asian U.S. House Member) into the paspop_ac<.1 category.
tab asian if paspop_ac>=0 & paspop_ac<.1 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.1 & paspop_ac<.2 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.2 & paspop_ac<.3 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.3 & paspop_ac<.4 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.4 & paspop_ac<.5 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.5 & paspop_ac<.6 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.6 & paspop_ac<.7 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.7 & paspop_ac<.8 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.8 & paspop_ac<.9 & eyear==2020 & state!="hi"
tab asian if paspop_ac>=.9 & paspop_ac<=1 & eyear==2020 & state!="hi"

* B. Percent Asian Alone of Population
* Add 13 NC districts (none with Asian U.S. House Member) into the paspop<.1 category.
tab asian if paspop>=0 & paspop<.1 & eyear==2020 & state!="hi"
tab asian if paspop>=.1 & paspop<.2 & eyear==2020 & state!="hi"
tab asian if paspop>=.2 & paspop<.3 & eyear==2020 & state!="hi"
tab asian if paspop>=.3 & paspop<.4 & eyear==2020 & state!="hi"
tab asian if paspop>=.4 & paspop<.5 & eyear==2020 & state!="hi"
tab asian if paspop>=.5 & paspop<.6 & eyear==2020 & state!="hi"
tab asian if paspop>=.6 & paspop<.7 & eyear==2020 & state!="hi"
tab asian if paspop>=.7 & paspop<.8 & eyear==2020 & state!="hi"
tab asian if paspop>=.8 & paspop<.9 & eyear==2020 & state!="hi"
tab asian if paspop>=.9 & paspop<=1 & eyear==2020 & state!="hi"

* C. Percent Asian Alone of Voting-Age Population
* Add 13 NC districts (none with Asian U.S. House Member) into the pasvap<.1 category.
tab asian if pasvap>=0 & pasvap<.1 & eyear==2020 & state!="hi"
tab asian if pasvap>=.1 & pasvap<.2 & eyear==2020 & state!="hi"
tab asian if pasvap>=.2 & pasvap<.3 & eyear==2020 & state!="hi"
tab asian if pasvap>=.3 & pasvap<.4 & eyear==2020 & state!="hi"
tab asian if pasvap>=.4 & pasvap<.5 & eyear==2020 & state!="hi"
tab asian if pasvap>=.5 & pasvap<.6 & eyear==2020 & state!="hi"
tab asian if pasvap>=.6 & pasvap<.7 & eyear==2020 & state!="hi"
tab asian if pasvap>=.7 & pasvap<.8 & eyear==2020 & state!="hi"
tab asian if pasvap>=.8 & pasvap<.9 & eyear==2020 & state!="hi"
tab asian if pasvap>=.9 & pasvap<=1 & eyear==2020 & state!="hi"

* D. Percent Asian Alone of Citizen Voting-Age Population
* Add 13 NC districts (none with Asian U.S. House Member) into the pascvap<.1 category.
tab asian if pascvap>=0 & pascvap<.1 & eyear==2020 & state!="hi"
tab asian if pascvap>=.1 & pascvap<.2 & eyear==2020 & state!="hi"
tab asian if pascvap>=.2 & pascvap<.3 & eyear==2020 & state!="hi"
tab asian if pascvap>=.3 & pascvap<.4 & eyear==2020 & state!="hi"
tab asian if pascvap>=.4 & pascvap<.5 & eyear==2020 & state!="hi"
tab asian if pascvap>=.5 & pascvap<.6 & eyear==2020 & state!="hi"
tab asian if pascvap>=.6 & pascvap<.7 & eyear==2020 & state!="hi"
tab asian if pascvap>=.7 & pascvap<.8 & eyear==2020 & state!="hi"
tab asian if pascvap>=.8 & pascvap<.9 & eyear==2020 & state!="hi"
tab asian if pascvap>=.9 & pascvap<=1 & eyear==2020 & state!="hi"

* E. Herfindahl Racial and Ethnic Diversity Index (Proportion)
tab asian if divers_pop>=0 & divers_pop<.1 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.1 & divers_pop<.2 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.2 & divers_pop<.3 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.3 & divers_pop<.4 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.4 & divers_pop<.5 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.5 & divers_pop<.6 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.6 & divers_pop<.7 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.7 & divers_pop<.8 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.8 & divers_pop<.9 & eyear==2020 & state!="hi"
tab asian if divers_pop>=.9 & divers_pop<=1 & eyear==2020 & state!="hi"
